Bug 1957869 - baremetal IPI power_interface for irmc is inconsistent [NEEDINFO]
Summary: baremetal IPI power_interface for irmc is inconsistent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Steven Hardy
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-06 16:48 UTC by Steven Hardy
Modified: 2022-03-23 14:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:06:51 UTC
Target Upstream Version:
hfukumot: needinfo? (shardy)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4908 0 None closed Bug 1957869: vendor: update baremetal-operator to align irmc PowerInterface 2021-05-14 12:57:04 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:07:14 UTC

Description Steven Hardy 2021-05-06 16:48:46 UTC
In https://github.com/openshift/baremetal-operator/pull/144 we fixed an issue with the PowerInterface for hardware using the irmc driver.

However that fix only resolves the issues for worker machines deployed via the BMO, we also consume that setting in the installer for controlplane hosts deployed via terraform:

https://github.com/openshift/installer/blob/master/pkg/tfvars/baremetal/baremetal.go#L77

We need to update the installer vendored version so that the power_interface value aligns.

Platform:

baremetal IPI

Comment 4 Raviv Bar-Tal 2021-05-19 14:39:51 UTC
I'm verifying this BZ so the code can be merged downstream

Comment 8 errata-xmlrpc 2021-07-27 23:06:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.